Bug 24456 - previousIssuesDefaultSortOrder and todaysIssuesDefaultSortOrder sort incorrectly
Summary: previousIssuesDefaultSortOrder and todaysIssuesDefaultSortOrder sort incorrectly
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 23427
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-17 21:49 UTC by Lucas Gass
Modified: 2020-04-15 00:20 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24456: change default sort orders/make wording clearer (2.13 KB, patch)
2020-01-17 22:14 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24456: change default sort orders/make wording clearer (2.19 KB, patch)
2020-01-29 22:54 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24456: change default sort orders/make wording clearer (2.63 KB, patch)
2020-03-17 15:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-01-17 21:49:19 UTC
previousIssuesDefaultSortOrder and todaysIssuesDefaultSortOrder are backwards. If you choose 'earliest to latest' it sorts 'latest to earliest' and vise versa.

Also the wording of todaysIssuesDefaultSortOrder is wrong. It says  	
"Sort today's checkouts on the circulation page from {X} due date." With today's checkouts it does not sort by date due but by timestamp.
Comment 1 Lucas Gass 2020-01-17 22:14:02 UTC
Created attachment 97580 [details] [review]
Bug 24456: change default sort orders/make wording clearer

TEST PLAN:
1. Apply patch
2. Have some checkout from today and some from multiple previous days.   
3. Set  todaysIssuesDefaultSortOrder &  previousIssuesDefaultSortOrder to 'earliest to latest' and confirm it sorts correctly.  
4. Reverse the 2 system preferences and see that it is now sorting the opposite way.
5. Also look at the wording of each system prefence and make sure it makes sense
Comment 2 ByWater Sandboxes 2020-01-29 22:54:58 UTC
Created attachment 98103 [details] [review]
Bug 24456: change default sort orders/make wording clearer

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Jonathan Druart 2020-03-17 15:42:09 UTC
Created attachment 100911 [details] [review]
Bug 24456: change default sort orders/make wording clearer

TEST PLAN:
1. Apply patch
2. Have some checkout from today and some from multiple previous days.
3. Set  todaysIssuesDefaultSortOrder &  previousIssuesDefaultSortOrder to 'earliest to latest' and confirm it sorts correctly.
4. Reverse the 2 system preferences and see that it is now sorting the opposite way.
5. Also look at the wording of each system prefence and make sure it makes sense

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-03-18 08:45:47 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 18:39:59 UTC
Backported to 19.11.x for 19.11.05
Comment 6 Lucas Gass 2020-04-13 16:28:55 UTC
backported to 19.05.x for 19.05.10
Comment 7 Hayley Mapley 2020-04-15 00:20:51 UTC
Dependency not in 18.11.x, will not be backporting to 18.11.x series